---
title: StaticRange.collapsed
slug: Web/API/StaticRange/collapsed
tags:
  - API
  - DOM
  - DOM API
  - Empty
  - Property
  - Range
  - Reference
  - Static Range API
  - StaticRange
  - collapsed
---
<p>{{APIRef("DOM WHATWG")}}</p>

<p><span class="seoSummary">The <strong><code>collapsed</code></strong> read-only property of the {{domxref("StaticRange")}} interface returns <code>true</code> if the range's start position and end position are the same.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>isCollpased</em> = <em>staticRange</em>.collapsed</pre>

<h3 id="Value">Value</h3>

<p>A {{jsxref("Boolean")}} value which is <code>true</code> if the range is <strong>collapsed</strong>. A collapsed range is one in which the start and end positions are the same, resulting in a zero-character-long range..</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('DOM WHATWG', '#dom-range-collapsed', 'collapsed')}}</td>
   <td>{{Spec2('DOM WHATWG')}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName('Static Range','#dom-staticrange-collapsed','collapsed')}}</td>
   <td>{{Spec2('Static Range')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.StaticRange.collapsed")}}</p>
</div>
